{
  "version":"0.1",
  "root_folder":"%rootcallerfolder%",
  "run_context":"sub",
  "name":"EDK2 setup",
  "actions":[
    {
      "action":"run_command_wait",
      "args":{
        "command_variables":false,
        "command":[
          "git",
          "clone",
          "https://github.com/tianocore/edk2.git"
        ],
        "show_output":"live",
        "success_status":[
          0
        ],
        "ignore_success_status":false
      }
    },
    {
      "action":"run_command_wait_dir",
      "args":{
        "command_variables":false,
        "command":[
          "git",
          "submodule",
          "update",
          "--init",
          "--recursive",
          "--progress"
        ],
        "show_output":"live",
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%/$EDK2_DIR$"
      }
    },
    {
      "action":"run_command_wait_dir",
      "args":{
        "command_variables":false,
        "command":[
          "make",
          "-C",
          "BaseTools/"
        ],
        "show_output":"live",
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%/$EDK2_DIR$"
      }
    },
    {
      "action":"run_command_wait_dir",
      "args":{
        "command_variables":false,
        "command":[
          "bash",
          "-c",
          "../Blastproof/ovmf.sh"
        ],
        "show_output":"live",
        "success_status":[
          0
        ],
        "ignore_success_status":false,
        "working_dir_variables":true,
        "working_dir":"%rootcallerfolder%/$EDK2_DIR$"
      }
    }
  ]
}
